Package fr.gouv.vitam.processing.engine.core.operation

# Class OperationContextMonitor

java.lang.Object
fr.gouv.vitam.processing.engine.core.operation.OperationContextMonitor

public class OperationContextMonitor extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `ALL_PARAMS_ARE_REQUIRED`
  `static final String`
  `OperationContextFileName`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `OperationContextMonitor()`
  `OperationContextMonitor(StorageClientFactory storageClientFactory)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `backup(String strategy, String operationContainer, LogbookTypeProcess logbookTypeProcess)`
  `static void`
  `compressInWorkspace(WorkspaceClientFactory workspaceClientFactory, String operationContainer, LogbookTypeProcess logbookTypeProcess, String... files)`
  `boolean`
  `deleteBackup(String strategy, String operationContainer, LogbookTypeProcess logbookTypeProcess)`
  `com.fasterxml.jackson.databind.JsonNode`
  `getInformation(String strategy, String operationContainer, LogbookTypeProcess logbookTypeProcess)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### ALL_PARAMS_ARE_REQUIRED

    public static final String ALL_PARAMS_ARE_REQUIRED
    See Also:
      - Constant Field Values

  - ### OperationContextFileName

    public static final String OperationContextFileName
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### OperationContextMonitor

    public OperationContextMonitor(StorageClientFactory storageClientFactory)

  - ### OperationContextMonitor

    public OperationContextMonitor()

- ## Method Details

  - ### compressInWorkspace

    public static void compressInWorkspace(WorkspaceClientFactory workspaceClientFactory, String operationContainer, LogbookTypeProcess logbookTypeProcess, String... files) throws OperationContextException
    Throws:
      `OperationContextException`

  - ### backup

    public void backup(String strategy, String operationContainer, LogbookTypeProcess logbookTypeProcess) throws OperationContextException
    Parameters:
      `strategy` -
      `operationContainer` -
      `logbookTypeProcess` -
    Throws:
      `OperationContextException`

  - ### getInformation

    public com.fasterxml.jackson.databind.JsonNode getInformation(String strategy, String operationContainer, LogbookTypeProcess logbookTypeProcess) throws OperationContextException, StorageNotFoundException
    Throws:
      `OperationContextException`
      `StorageNotFoundException`

  - ### deleteBackup

    public boolean deleteBackup(String strategy, String operationContainer, LogbookTypeProcess logbookTypeProcess) throws OperationContextException
    Throws:
      `OperationContextException`